[SCM] calf audio plugins packaging branch, master, updated. upstream/0.0.18.5-52-g6387a5c

js at users.alioth.debian.org js at users.alioth.debian.org
Thu Feb 11 12:18:41 UTC 2010


The following commit has been merged in the master branch:
commit 6387a5c9365316c4655e57979b48d3393048d02d
Author: Jonas Smedegaard <dr at jones.dk>
Date:   Thu Feb 11 13:10:27 2010 +0100

    Build-depend on libasound-dev only on supported archs.
    
    We use a clever trick, invented by Felipe Sateler for the CSound
    packaging, to query actually available versions at Debian, rather than
    hand-coding a list of supported (or unsupported) archs which then needs
    manual maintainance.

diff --git a/debian/pkgarchs.sh b/debian/pkgarchs.sh
new file mode 100644
index 0000000..33f2758
--- /dev/null
+++ b/debian/pkgarchs.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# Copyright © 2008 Jonas Smedegaard <dr at jones.dk>
+# Description: Resolves supported archs of a Debian package
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
+# 02111-1307 USA.
+#
+# Depends: devscripts
+
+set -e
+
+defaultsuite="unstable"
+currentsuite="`dpkg-parsechangelog | grep ^Distribution: | awk '{print $2}'`"
+
+pkg="$1"
+suite="${2:-$currentsuite}"
+
+case "$suite" in
+    UNRELEASED|"")
+	echo >&2 "WARNING: bad suite \"$suite\", using \"$defaultsuite\" instead."
+	suite="$defaultsuite"
+	;;
+esac
+
+echo >&2 "INFO: Resolving architectures for package \"$pkg\" through rmadison Internet request."
+rmadison -s "$suite" "$pkg" \
+	| awk -F'|' '{ print $4 }' \
+	| sed 's/ //g;s/,/\n/g' \
+	| LANG=C sort \
+	| tr '\n' ' ' \
+	| sed 's/ $/\n/'
diff --git a/debian/rules b/debian/rules
index 38bf809..e9348c2 100755
--- a/debian/rules
+++ b/debian/rules
@@ -11,7 +11,8 @@ include /usr/share/cdbs/1/rules/debhelper.mk
 
 # Needed by upstream build process
 CDBS_BUILD_DEPENDS += , libglib2.0-dev, libgtk2.0-dev (>= 2.8), libglade2-dev (>= 2.4), libreadline-dev, libexpat1-dev
-CDBS_BUILD_DEPENDS += , libasound2-dev, ladspa-sdk, dssi-dev, libjack-dev (>= 0.105.0), liblash-dev (>= 0.5.3), lv2core
+CDBS_BUILD_DEPENDS += , libasound2-dev [`sh debian/pkgarchs.sh libasound2-dev`]
+CDBS_BUILD_DEPENDS += , ladspa-sdk, dssi-dev, libjack-dev (>= 0.105.0), liblash-dev (>= 0.5.3), lv2core
 
 # Resolve, cleanup and apply CDBS-declared dependencies
 include debian/cdbs/1/rules/package-relations.mk

-- 
calf audio plugins packaging



More information about the pkg-multimedia-commits mailing list